Returns a list of input items for a given response.
curl --request GET \
--url https://api.portkey.ai/v1/responses/{response_id}/input_items \
--header 'x-portkey-api-key: <api-key>'{
"data": [
{
"content": [
{
"text": "<string>"
}
],
"id": "<string>"
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}List Input Items
GET
/
responses
/
{response_id}
/
input_items
Returns a list of input items for a given response.
curl --request GET \
--url https://api.portkey.ai/v1/responses/{response_id}/input_items \
--header 'x-portkey-api-key: <api-key>'{
"data": [
{
"content": [
{
"text": "<string>"
}
],
"id": "<string>"
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}Authorizations
Path Parameters
The ID of the response to retrieve input items for.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
The order to return the input items in. Default is asc.
asc: Return the input items in ascending order.desc: Return the input items in descending order.
Available options:
asc, desc An item ID to list items after, used in pagination.
An item ID to list items before, used in pagination.
Response
200 - application/json
OK
A list of Response items.
The type of object returned, must be list.
Available options:
list data
(Input message · object | Output message · object | File search tool call · object | Computer tool call · object | Computer tool call output · object | Web search tool call · object | Function tool call · object | Function tool call output · object)[]
required
A list of items used to generate this response.
Content item used to generate a response.
- Input message
- Output message
- File search tool call
- Computer tool call
- Computer tool call output
- Web search tool call
- Function tool call
- Function tool call output
Show child attributes
Show child attributes
Whether there are more items available.
The ID of the first item in the list.
The ID of the last item in the list.
Last modified on June 3, 2026
Was this page helpful?
⌘I

